[metadata]
name = os-brick
summary = OpenStack Cinder brick library for managing local volume attaches
description_file =
    README.rst
author = OpenStack
author_email = openstack-discuss@lists.openstack.org
home_page = https://docs.openstack.org/os-brick/
python_requires = >=3.8
classifier =
    Environment :: OpenStack
    Intended Audience :: Information Technology
    Intended Audience :: System Administrators
    License :: OSI Approved :: Apache Software License
    Operating System :: POSIX :: Linux
    Programming Language :: Python
    Programming Language :: Python :: Implementation :: CPython
    Programming Language :: Python :: 3 :: Only
    Programming Language :: Python :: 3
    Programming Language :: Python :: 3.8
    Programming Language :: Python :: 3.9

[files]
packages =
    os_brick
data_files =
    etc/ = etc/*

[entry_points]
oslo.config.opts =
    os_brick = os_brick.opts:list_opts
oslo.config.opts.defaults =
    os_brick = os_brick.opts:set_defaults

[egg_info]
tag_build =
tag_date = 0
tag_svn_revision = 0

[mypy]
show_column_numbers = true
show_error_context = true
ignore_missing_imports = true
follow_imports = skip
incremental = true
check_untyped_defs = true
warn_unused_ignores = true
show_error_codes = true
pretty = true
html_report = mypy-report
no_implicit_optional = true
